Skip to main content
PATCH
Update Policy Rule

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

rule_id
string<uuid>
required

Body

application/json

Request body for partially updating a policy rule.

condition
string | null
effect
enum<string> | null

What a rule does when it applies.

Available options:
allow,
deny,
cap,
approval,
safety,
egress
enabled
boolean | null
params
Params · object | null
priority
integer | null
subject_id
string | null
subject_type
enum<string> | null

The kind of subject a rule binds to.

Available options:
workspace,
agent,
user,
group
target
string | null

Response

Successful Response

Serialized policy rule returned to clients.

effect
enum<string>
required

What a rule does when it applies.

Available options:
allow,
deny,
cap,
approval,
safety,
egress
enabled
boolean
required
id
string
required
params
Params · object
required
priority
integer
required
subject_id
string
required
subject_type
enum<string>
required

The kind of subject a rule binds to.

Available options:
workspace,
agent,
user,
group
target
string
required
condition
string | null